BaseNCodec.AbstractBuilder (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.binary, class: BaseNCodec, class: AbstractBuilder

Package org.apache.commons.codec.binary

# Class BaseNCodec.AbstractBuilder<T,B extends BaseNCodec.AbstractBuilder<T,B>>

java.lang.Object
org.apache.commons.codec.binary.BaseNCodec.AbstractBuilder<T,B>

Type Parameters:
  `T` - The codec type to build.
  `B` - The codec builder subtype.

All Implemented Interfaces:
  `Supplier<T>`

Direct Known Subclasses:
  `Base16.Builder`, `Base32.Builder`, `Base58.Builder`, `Base64.Builder`

Enclosing class:
  `BaseNCodec`

public abstract static class BaseNCodec.AbstractBuilder<T,B extends BaseNCodec.AbstractBuilder<T,B>> extends Object implements Supplier<T>
Builds `Base64` instances.

Since:
  1.17.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `B`
  `setDecodeTable(byte[] decodeTable)`
  Sets the decode table.
  `B`
  `setDecodingPolicy(CodecPolicy decodingPolicy)`
  Sets the decoding policy.
  `B`
  `setEncodeTable(byte... encodeTable)`
  Sets the encode table.
  `B`
  `setLineLength(int lineLength)`
  Sets the line length.
  `B`
  `setLineSeparator(byte... lineSeparator)`
  Sets the line separator.
  `B`
  `setPadding(byte padding)`
  Sets the padding byte.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Supplier

  `get`

- ## Method Details

  - ### setDecodeTable

    public B setDecodeTable(byte[] decodeTable)
    Sets the decode table.
    Parameters:
      `decodeTable` - The decode table.
    Returns:
      `this` instance.
    Since:
      1.20.0

  - ### setDecodingPolicy

    public B setDecodingPolicy(CodecPolicy decodingPolicy)
    Sets the decoding policy.
    Parameters:
      `decodingPolicy` - The decoding policy, null resets to the default.
    Returns:
      `this` instance.

  - ### setEncodeTable

    public B setEncodeTable(byte... encodeTable)
    Sets the encode table.
    Parameters:
      `encodeTable` - The encode table, null resets to the default.
    Returns:
      `this` instance.

  - ### setLineLength

    public B setLineLength(int lineLength)
    Sets the line length.
    Parameters:
      `lineLength` - The line length, less than 0 resets to the default.
    Returns:
      `this` instance.

  - ### setLineSeparator

    public B setLineSeparator(byte... lineSeparator)
    Sets the line separator.
    Parameters:
      `lineSeparator` - The line separator, null resets to the default.
    Returns:
      `this` instance.

  - ### setPadding

    public B setPadding(byte padding)
    Sets the padding byte.
    Parameters:
      `padding` - The padding byte.
    Returns:
      `this` instance.